<?php
// Add Points for creating a group
function my_bp_create_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_create_group_add_cp_bp') );
			cp_log('Group Creation', $bp->loggedin_user->id, get_option('bp_create_group_add_cp_bp'), BuddyPress);
		}
	}
}


// Remove points for deleting a group
function my_bp_delete_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_delete_group_add_cp_bp') );
			cp_log('Group Deleted', $bp->loggedin_user->id, get_option('bp_delete_group_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for a update
function my_bp_update_post_add_cppoints() {
	global $bp;

	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );

	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			// we create a boolean variable to store if the logged-in user matches any spammer id
			// since it matches, we mark the variable as "true"
			$is_spammer = true;
			
			// this line stops the foreach loop and proceeds to the next statement
			break;
		} else {
			// if the spammer doesn't match the spammer id, we mark the variable as "false"
			$is_spammer = false;
		}
	}

	// this part of the code runs after we've finished the foreach loop
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_update_post_add_cp_bp') );
			cp_log('Comment', $bp->loggedin_user->id, get_option('bp_update_post_add_cp_bp'), BuddyPress);
		}
	}
}

// Points for Joining a group
function my_bp_join_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_join_group_add_cp_bp') );
			cp_log('Group Joined', $bp->loggedin_user->id, get_option('bp_join_group_add_cp_bp'), BuddyPress);
		}
	}
}

// Points for Leaving a group
function my_bp_leave_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_leave_group_add_cp_bp') );
			cp_log('Left Group', $bp->loggedin_user->id, get_option('bp_leave_group_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for a comment or reply
function my_bp_update_comment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_update_comment_add_cp_bp') );
			cp_log('Comment', $bp->loggedin_user->id, get_option('bp_update_comment_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for a GROUP comment or reply
function my_bp_update_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_update_group_add_cp_bp') );
			cp_log('Group Comment', $bp->loggedin_user->id, get_option('bp_update_group_add_cp_bp'), BuddyPress);
		}
	}
}

// Remove points for comment deletion
function my_bp_delete_comment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ( $bp->loggedin_user->is_site_admin )
	return false; 
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_delete_comment_add_cp_bp') );
			cp_log('Comment Removed', $bp->loggedin_user->id, get_option('bp_delete_comment_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for a completed Friend Request
function my_bp_friend_add_cppoints($friendship_id, $inviter_id, $invitee_id) {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($inviter_id, get_option('bp_friend_add_cp_bp') );
			cp_alterPoints($invitee_id, get_option('bp_friend_add_cp_bp') );
			cp_log('Friend Added', $inviter_id, get_option('bp_friend_add_cp_bp'), BuddyPress);
			cp_log('Friend Added', $invitee_id, get_option('bp_friend_add_cp_bp'), BuddyPress);
		}
	}
}

// Remove points for Canceled Friendship 
function my_bp_friend_delete_add_cppoints($friendship_id, $initiator_userid, $friend_userid) {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($initiator_userid, get_option('bp_friend_delete_add_cp_bp') );
			cp_alterPoints($friend_userid, get_option('bp_friend_delete_add_cp_bp') );
			cp_log('Friendship Canceled', $initiator_userid, get_option('bp_friend_delete_add_cp_bp'), BuddyPress);
			cp_log('Friendship Canceled', $friend_userid, get_option('bp_friend_delete_add_cp_bp'), BuddyPress);
		}
	}
}

//  Add Points New Group Forum Topic (See FAQ in readme.txt for more info)
function my_bp_forum_new_topic_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_forum_new_topic_add_cp_bp') );
			cp_log('New Group Forum Topic', $bp->loggedin_user->id, get_option('bp_forum_new_topic_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points New Group Forum Post
function my_bp_forum_new_post_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_forum_new_post_add_cp_bp') );
			cp_log('Group Forum Post', $bp->loggedin_user->id, get_option('bp_forum_new_post_add_cp_bp'), BuddyPress);
		}
	}
}

// POINTS FIX for New Forum Topic Edit
function my_bp_forum_edit_topic_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp') );
			cp_log('Group Forum Post Edit', $bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp'), BuddyPress);
		}
	}
}

// POINTS FIX for Forum Post Edit
function my_bp_forum_edit_post_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp') );
			cp_log('Group Forum Post Edit', $bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points Avatar Upload
function my_bp_avatar_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_avatar_add_cp_bp') );
			cp_log('Avatar Uploaded', $bp->loggedin_user->id, get_option('bp_avatar_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Point Message Sent
function my_bp_pm_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_pm_cp_bp') );
			cp_log('Message Sent', $bp->loggedin_user->id, get_option('bp_pm_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BuddyPress Link Creation
function my_bp_bplink_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_bplink_add_cp_bp') );
			cp_log('Link Added', $bp->loggedin_user->id, get_option('bp_bplink_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BuddyPress Link Vote
function my_bp_bplinkvote_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_bplink_vote_add_cp_bp') );
			cp_log('Link Voted', $bp->loggedin_user->id, get_option('bp_bplink_vote_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BuddyPress Link Comment/Update
function my_bp_bplinkcomment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_bplink_comment_add_cp_bp') );
			cp_log('Link Comment', $bp->loggedin_user->id, get_option('bp_bplink_comment_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BuddyPress Link Delete
function my_bp_bplink_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_bplink_delete_add_cp_bp') );
			cp_log('Link Deleted', $bp->loggedin_user->id, get_option('bp_bplink_delete_add_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BuddyPress Gifts
function my_bp_gift_given_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_gift_given_cp_bp') );
			cp_log('Gave a Gift', $bp->loggedin_user->id, get_option('bp_gift_given_cp_bp'), BuddyPress);
		}
	}
}

// Add Points for BP Gallery Upload
function my_bp_gallery_upload_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_gallery_upload_cp_bp') );
			cp_log('Gallery Upload', $bp->loggedin_user->id, get_option('bp_gallery_upload_cp_bp'), BuddyPress);
		}
	}
}

// Remove Points for BP Gallery Delete
function my_bp_gallery_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		if( function_exists('cp_alterPoints') ){
			cp_alterPoints($bp->loggedin_user->id, get_option('bp_gallery_delete_cp_bp') );
			cp_log('Gallery Delete', $bp->loggedin_user->id, get_option('bp_gallery_delete_cp_bp'), BuddyPress);
		}
	}
}


/* Adds CubePoints to Profile Page*/
function cubepoints_bp_profile() {
	global $bp;
	if(function_exists('cp_displayPoints')){ ?>
		<span class="cubepoints_buddypress"><?php echo cp_displayPoints($bp->displayed_user->id); ?></span>
	<?php }

	if(get_option('cp_donation')){
		if (is_user_logged_in()) { ?>
			<span class="cupepoints_buddypress_donate"><a href="<?php echo PLUGIN_DIR; ?>cp_donate.php?d=1&u=<?php echo $bp->displayed_user->id; ?>&width=500&height=200" title="CubePoints - <?php _e('Donate', 'cp'); ?>" class="thickbox cp_donateLink">Donate Points</a></span>
	<?php } }

	if(get_option('cp_ranks_enabled')) { ?>
		<span class="cupepoints_buddypress_rank">Rank - <?php echo cp_getRank($bp->displayed_user->id); ?></span>
		<span class="cupepoints_buddypress_rank_image"><?php echo cp_getRankImage(cp_getPoints($bp->displayed_user->id)); ?></span>
	<?php }
}
?>